Package org.codehaus.groovy.tools.shell.util

# Class Logger

java.lang.Object
org.codehaus.groovy.tools.shell.util.Logger

    public final class Logger
    extends java.lang.Object

Provides a very, very basic logging API.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static IO` | `io` |
  `java.lang.String` | `name` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Logger` | `create​(java.lang.Class type)` |
  `static Logger` | `create​(java.lang.Class type, java.lang.String suffix)` |
  `void` | `debug​(java.lang.Object msg)` |
  `void` | `debug​(java.lang.Object msg, java.lang.Throwable cause)` |
  `void` | `error​(java.lang.Object msg)` |
  `void` | `error​(java.lang.Object msg, java.lang.Throwable cause)` |
  `boolean` | `isDebug()` |
  `boolean` | `isDebugEnabled()` |
  `void` | `warn​(java.lang.Object msg)` |
  `void` | `warn​(java.lang.Object msg, java.lang.Throwable cause)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### io

    public static volatile IO io

  - ### name

    public final java.lang.String name

- ## Method Details

  - ### isDebugEnabled

    public boolean isDebugEnabled()

  - ### isDebug

    public boolean isDebug()

  - ### debug

    public void debug​(java.lang.Object msg)

  - ### debug

    public void debug​(java.lang.Object msg, java.lang.Throwable cause)

  - ### warn

    public void warn​(java.lang.Object msg)

  - ### warn

    public void warn​(java.lang.Object msg, java.lang.Throwable cause)

  - ### error

    public void error​(java.lang.Object msg)

  - ### error

    public void error​(java.lang.Object msg, java.lang.Throwable cause)

  - ### create

    public static Logger create​(java.lang.Class type)

  - ### create

    public static Logger create​(java.lang.Class type, java.lang.String suffix)